Bug 1000401 - unnecessary LogInfo in rlRun
unnecessary LogInfo in rlRun
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
Release
: Patch
Depends On:
Blocks: Fedora-beakerlib-1.9-3 1116317
  Show dependency treegraph
 
Reported: 2013-08-23 07:38 EDT by Dalibor Pospíšil
Modified: 2014-07-30 02:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: beakerlib-1.9-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 02:57:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove-info-message.patch (793 bytes, patch)
2013-08-23 07:38 EDT, Dalibor Pospíšil
no flags Details | Diff

  None (edit)
Description Dalibor Pospíšil 2013-08-23 07:38:20 EDT
Created attachment 789569 [details]
remove-info-message.patch

If using some options like -s one more info message is printed and logged in journal.

rlRun "snmptable -c public -v 2c 127.0.0.1 dskTable"
produces following log:

:: [   INFO   ] ::   rlRun: command = 'snmptable -c public -v 2c 127.0.0.1 dskTable'; exitcode = 0; expected = 0
:: [   PASS   ] ::   Running 'snmptable -c public -v 2c 127.0.0.1 dskTable' (Expected 0, got 0)

I don't think that the info message is somehow useful. If it is useful, it should be definitely a debug message.

Attached patch completely remove the message.
Comment 1 Dalibor Pospíšil 2013-08-23 09:13:37 EDT
(In reply to Dalibor Pospíšil from comment #0)
> rlRun "snmptable -c public -v 2c 127.0.0.1 dskTable"
this has to be
rlRun -s "snmptable -c public -v 2c 127.0.0.1 dskTable"
Comment 3 Fedora Update System 2014-06-17 09:41:37 EDT
beakerlib-1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-1.fc20
Comment 4 Fedora Update System 2014-06-17 19:29:08 EDT
Package beakerlib-1.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7442/beakerlib-1.9-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-07-02 04:01:18 EDT
beakerlib-1.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-2.fc20
Comment 6 Dalibor Pospíšil 2014-07-04 04:51:00 EDT
Please consider the package fixing this bug available in Fedora stable repos once bz1116308 is closed and RHEL stable repos once bz1116317 is closed.

Fixed in:
beakerlib-1.9-2.fc19
beakerlib-1.9-2.fc20
beakerlib-1.9-2.fc21
beakerlib-1.9-3.el5
beakerlib-1.9-2.el6
beakerlib-1.9-2.el7
Comment 7 Fedora Update System 2014-07-17 09:15:41 EDT
beakerlib-1.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-3.fc20
Comment 8 Fedora Update System 2014-07-30 02:57:12 EDT
beakerlib-1.9-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.